import { BullModule } from '@nestjs/bull';
import { Module } from '@nestjs/common';
import { QUEUE_NAME } from './shared';
import { ScreenshotsController } from './screenshots.controller';
import { ScreenshotsProcessor } from './screenshots.processor';
import { ScreenshotterService } from './screenshotter.service';

@Module({
  imports: [
    BullModule.registerQueue({
      name: QUEUE_NAME,
    }),
  ],
  controllers: [ScreenshotsController],
  providers: [ScreenshotsProcessor, ScreenshotterService],
})
export class ScreenshotsModule {}
