import { Test, TestingModule } from '@nestjs/testing';
import { ScreenshotterService } from './screenshotter.service';

describe('ScreenshotterService', () => {
  let service: ScreenshotterService;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      providers: [ScreenshotterService],
    }).compile();

    service = module.get<ScreenshotterService>(ScreenshotterService);
  });

  it('should be defined', () => {
    expect(service).toBeDefined();
  });

  it('should return "Hello World!" screenshot', async () => {
    const image = await service.takeScreenshot({
      imageType: 'png',
      url: new URL('data:text/html,%3Ch1%3EHello%2C%20World%21%3C%2Fh1%3E'),
    });
    expect(image).toMatchImageSnapshot();
  });
});
