import { Job, Queue } from 'bull';

export const QUEUE_NAME = 'screenshots';

export type ScreenshotJobData = {
  pageUrl: URL;
  imageType: 'jpeg' | 'png';
};

export type ScreenshotJob = Job<ScreenshotJobData>;

export type ScreenshotsQueue = Queue<ScreenshotJobData>;
